### Method

# AppStreamCompose Image save_filename

#### Declaration [src]

    gboolean
    asc_image_save_filename (
      AscImage* image,
      const gchar* filename,
      gint width,
      gint height,
      AscImageSaveFlags flags,
      GError** error
    )

#### Description [src]

Saves the image to a file.

#### Parameters

`filename`

  Type: `const gchar*`

  Filename to write to.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`width`

  Type: `gint`

  Target width, or 0 for default.

`height`

  Type: `gint`

  Target height, or 0 for default.

`flags`

  Type: `AscImageSaveFlags`

  Some `AscImageSaveFlags` values, e.g. `ASC_IMAGE_SAVE_FLAG_PAD_16_9`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.